#! /usr/bin/env python
# -*- coding: utf-8 -*-
# __author__ = "chenwei"
# Date: 2019/3/28

import datetime
from django.core.management.base import BaseCommand
from api.tasks.init_bdtransfer_month_data import bdtransfer_month_to_budan


class Command(BaseCommand):

    def add_arguments(self, parser):
        parser.add_argument(
            '--day', type=str, help='每月', default= None
        )

    def handle(self, day, **options):
        day = datetime.date(*map(int, day.split('-')))
        bdtransfer_month_to_budan(day)

